package timingexp;

import java.io.*;
import java.rmi.*;
import java.rmi.server.*;

// ssh
import ssh.*;
import rmi.*;

/**
 * RMI over ssh.
 */
public class TestRMICallSsh
	extends TestRMICallImpl {

	/**
	 * Create an RMI-over-SSH object.
	 */
	public TestRMICallSsh(SSHContext context)
		throws RemoteException {
		super(0 /*port*/,
			new SSHClientSocketFactory(context),
			new SSHServerSocketFactory(context));
	}
}
